/*****************************************************************************/

/*
 *	usbtests.h  --  Linux USB stress tests.
 *
 *	Copyright (C) 2000
 *          Thomas Sailer (sailer@ife.ee.ethz.ch)
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  Please note that the GPL allows you to use the driver, NOT the radio.
 *  In order to use the radio, you need a license from the communications
 *  authority of your country.
 *
 *  $Id: usbtests.h,v 1.2 2000/01/11 11:07:53 tom Exp $	 
 *
 *  History:
 *   0.1  07.01.2000  Created
 *
 */

/*****************************************************************************/

#ifndef _USBTESTS_H
#define _USBTESTS_H

/* --------------------------------------------------------------------- */

#include "usbdrv.h"

/* in download.c */

extern int anchor_download(struct usbdevice *dev);
extern int anchor_reset(struct usbdevice *dev);

/* in tests.c */

struct testtab {
	const char *name;
	const char *help;
	int (*proc)(struct usbdevice *dev, char *param);
};

extern const struct testtab testtab[];

/* --------------------------------------------------------------------- */
#endif /* _USBTESTS_H */
